using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.StoragesContracts
{
    public interface ILawyerStorage
    {
        List<LawyerViewModel> GetFullList();
        List<LawyerViewModel> GetFilteredList(LawyerSearchModel model);
        LawyerViewModel? GetElement(LawyerSearchModel model);
        LawyerViewModel? Insert(LawyerBindingModel model);
        LawyerViewModel? Update(LawyerBindingModel model);
        LawyerViewModel? Delete(LawyerBindingModel model);

        List<CaseViewModel> GetLawyerCases(LawyerSearchModel model);
        List<LawyerViewModel> GetLawyerMTM(int caseId);
    }
}
